import { defineComponent as t, computed as r, createElementBlock as s, openBlock as l, createVNode as n, normalizeStyle as c } from "vue";
import i from "../../../../commons/components/Text.vue.mjs";
import { upgradeTextCarousel as p } from "./version.mjs";
const u = { class: "text-carousel" }, m = t({ name: "ShjTextCarousel" }), v = /* @__PURE__ */ t({
  ...m,
  props: {
    option: {}
  },
  setup(o, { expose: a }) {
    const e = r(() => p(o.option));
    return a({
      refresh: () => {
      },
      refreshView: () => {
      },
      refreshData: () => {
      }
    }), (x, f) => (l(), s("div", u, [
      n(i, {
        class: "words",
        text: e.value.base.value,
        textStyle: e.value.base.textStyle,
        style: c({
          "--animation": `${e.value.config.animation}s`,
          "--gap": `${e.value.config.gap}px`
        })
      }, null, 8, ["text", "textStyle", "style"])
    ]));
  }
});
export {
  v as default
};
